/*
 * A-maze-ing API
 * This document describes the API of the A-maze-ing evening server.    This API consists of three different endpoints, which are detailed below.   - To register yourself as a player use the Player endpoint.   - To get information about the available mazes and enter a specific maze use the Mazes endpoint.   - To navigate a maze use the Maze endpoint.
 *
 * OpenAPI spec version: v2
 * 
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */


package io.swagger.client.api;

import io.swagger.client.model.PossibleActionsAndCurrentScore;
import org.junit.Test;
import org.junit.Ignore;


import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * API tests for MazeApi
 */
@Ignore
public class MazeApiTest {

    private final MazeApi api = new MazeApi();

    
    /**
     * 💰 Collect score from your hand to your bag.
     *
     * Remember that when you exit a maze, only score in your bag will carry over and be awarded to your overall player score. Any score left in your hand will be lost.
     *
     * @throws Exception
     *          if the Api call fails
     */
    @Test
    public void collectScoreTest() throws Exception {
        PossibleActionsAndCurrentScore response = api.collectScore();

        // TODO: test validations
    }
    
    /**
     * 🚪 Exit the maze.
     *
     * Remember that when you exit a maze, only score in your bag will carry over and be awarded to your overall player score. Any score left in your hand will be lost.  Also, remember that you can only play the same maze once, so make sure you have collected as much score as you can.
     *
     * @throws Exception
     *          if the Api call fails
     */
    @Test
    public void exitMazeTest() throws Exception {
        api.exitMaze();

        // TODO: test validations
    }
    
    /**
     * Move in the supplied direction.
     *
     * You must have already entered a maze. This method will return 200 even if you could not move in this direction. If there is a \&quot;wall\&quot; in your way and you try to move there.. well, it&#39;s gonna hurt, but you will remain in the same place.. which.. technically.. is valid.. 🤷🏻‍
     *
     * @throws Exception
     *          if the Api call fails
     */
    @Test
    public void moveTest() throws Exception {
        String direction = null;
        PossibleActionsAndCurrentScore response = api.move(direction);

        // TODO: test validations
    }
    
    /**
     * 👀 Get the list of possible actions, from the tile where you are standing.
     *
     * You must have already entered a maze. Also, you shouldn&#39;t require this method that much, given than any action you perform on the maze will return this same information.
     *
     * @throws Exception
     *          if the Api call fails
     */
    @Test
    public void possibleActionsTest() throws Exception {
        PossibleActionsAndCurrentScore response = api.possibleActions();

        // TODO: test validations
    }
    
    /**
     * Tag the current tile with the given (non-negative) number
     *
     * You must have already entered a maze. This method will return 200 even if you already tagged this tile. By tagging a tile \&quot;again\&quot; you will rewrite the previous tag.‍
     *
     * @throws Exception
     *          if the Api call fails
     */
    @Test
    public void tagTest() throws Exception {
        Long tagValue = null;
        PossibleActionsAndCurrentScore response = api.tag(tagValue);

        // TODO: test validations
    }
    
}
